7.3. Przeskalowywanie filmów
Poprzedni | Rozdział 7. Kodowanie z MEncoderem | Następny

## 7.3. Przeskalowywanie filmów

Często zachodzi potrzeba zmiany wielkości obrazu. Powodów tego może być wiele: zmniejszenie rozmiaru pliku, przepustowość sieci, itd. Większość ludzi stosuje ponowne skalowanie przy konwertowaniu płyt DVD, SVCD do DivX AVI. Jeżeli chcesz przeskalowywać, przeczytaj sekcję o zachowywaniu proporcji obrazu.

Proces skalowania obsługiwany jest przez filtr video `scale` `-vf scale=`szerokość`:`wysokość``. Jego jakość może być ustawiona parametrem `-sws`. Jeśli nie jest on podany MEncoder użyje wartości 2: bicubic.

Przykład:

    mencoder wejscie.mpg -ovc lavc -lavcopts vcodec=mpeg4
    -vf scale=640:480 -o wyjscie.avi

Poprzedni | Początek rozdziału | Następny
7.2. Kodowanie do formatu MPEG | Spis treści | 7.4. Kopiowanie strumienia